For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
      • GETGet a list of channels
      • POSTCreate a new channel
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
ConversationsChannels

Create a new channel

POST
https://example.ada.support/api/v2/channels/
POST
/api/v2/channels/
1import requests
2
3url = "https://example.ada.support/api/v2/channels/"
4
5payload = {
6 "description": "A custom messaging channel for my AI Agent",
7 "modality": "messaging",
8 "name": "My Custom Channel"
9}
10headers = {
11 "Authorization": "Bearer <token>",
12 "Content-Type": "application/json"
13}
14
15response = requests.post(url, json=payload, headers=headers)
16
17print(response.json())
1{
2 "description": "A custom messaging channel for my AI Agent",
3 "modality": "messaging",
4 "name": "My Custom Channel",
5 "created_at": "2020-09-20T00:00:00+00:00",
6 "id": "5df263b7db5a7e6ea03fae9b",
7 "metadata": {
8 "example_key1": "example_string_value",
9 "example_key2": true,
10 "example_key3": 123,
11 "example_key4": 0.95
12 },
13 "type": "custom"
14}
Create a new channel. A maximum of 100 channels can be created per account per day. The maximum request size is 10MB.
Was this page helpful?
Previous

Start a conversation over Ada's email channel

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
descriptionstringRequired
A description of the channel
modalityenumRequired
The modality of the channel
Allowed values:
namestringRequired
The name of the channel
metadatamap from strings to strings or booleans or integers or doublesOptional

A dictionary of key, value pairs assigned to the channel. Metadata may not exceed 4KB total.

  • metadata keys may only be of type: string
  • metadata values may only be one of type: string, boolean, integer, or number (float)

Response

Channel created
descriptionstring
A description of the channel
modalityenum
The modality of the channel
Allowed values:
namestring
The name of the channel
created_atstringRead-onlyformat: "date-time"
The date and time the channel was created
idstringRead-onlyformat: "id"
The channel ID
metadatamap from strings to strings or booleans or integers or doubles

A dictionary of key, value pairs assigned to the channel. Metadata may not exceed 4KB total.

  • metadata keys may only be of type: string
  • metadata values may only be one of type: string, boolean, integer, or number (float)
typeenumRead-only
The type of the channel
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
413
Content Too Large Error
429
Too Many Requests Error
500
Internal Server Error